Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Inventor
  Arbeitspunkt an Koordinaten setzen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Inventor besser verstehen - Fläche löschen
Autor Thema:   Arbeitspunkt an Koordinaten setzen (1112 mal gelesen)
kiri2
Mitglied
Tech.Produktdesigner


Sehen Sie sich das Profil von kiri2 an!   Senden Sie eine Private Message an kiri2  Schreiben Sie einen Gästebucheintrag für kiri2

Beiträge: 34
Registriert: 13.03.2014

erstellt am: 29. Mai. 2015 14:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

ist es möglich einen Arbeitspunkt an bestimmte Koordinaten zu setzen? Am besten mit iLogic.

Beispiel:

Ich habe eine Strecke von den Koordinaten (2/2) zu (6/6) und möchte am Start- und Endpunkt einen Arbeitspunkt haben.

Als alternative würde es auch gehen wenn ich einen Arbeitspunkt meiner eingefügten Baugruppe an bestimmten Koordinaten in der Hauptbaugruppe Baugruppe festsetzen kann, auch am besten per iLogic.
Ich habe dazu das hier gefunden: http://forums.autodesk.com/t5/inventor-customization/inventor-ilogic-create-assebmyl-constraints/m-p/4721207#M47882

Weiß allerdings nicht genau wie ich auf den Namen des Arbeitspunkt zugreifen kann.

Grüße

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CAD-Huebner
Ehrenmitglied V.I.P. h.c.
Verm.- Ing., ATC-Trainer



Sehen Sie sich das Profil von CAD-Huebner an!   Senden Sie eine Private Message an CAD-Huebner  Schreiben Sie einen Gästebucheintrag für CAD-Huebner

Beiträge: 9589
Registriert: 01.12.2003

AutoCAD 2.5 - 2021,
Inventor AIP 4-2021 Windows 10
i7, 32GB, SSD, QuadroK2000

erstellt am: 29. Mai. 2015 15:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für kiri2 10 Unities + Antwort hilfreich

CAD-Huebner
Ehrenmitglied V.I.P. h.c.
Verm.- Ing., ATC-Trainer



Sehen Sie sich das Profil von CAD-Huebner an!   Senden Sie eine Private Message an CAD-Huebner  Schreiben Sie einen Gästebucheintrag für CAD-Huebner

Beiträge: 9589
Registriert: 01.12.2003

AutoCAD 2.5 - 2021,
Inventor AIP 4-2021 Windows 10
i7, 32GB, SSD, QuadroK2000

erstellt am: 29. Mai. 2015 19:10    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für kiri2 10 Unities + Antwort hilfreich

Hier mal auf die Schnelle aus obigen Code extrahiert:
Code:
'  a reference to the currently active document.
' This assumes that it is a part document.
Dim oPartDoc As PartDocument
oPartDoc = ThisApplication.ActiveDocument

'  a reference to the component definition.
Dim oCompDef As PartComponentDefinition
oCompDef = ThisDoc.Document.ComponentDefinition

' Create some workpoints that will be used for the 3D sketch.
'  a reference to the transient geometry object.
Dim oTG As TransientGeometry
oTG = ThisApplication.TransientGeometry

Dim oWPs(0 To 2) As WorkPoint
oWPs(0) = oCompDef.WorkPoints.AddFixed(oTG.CreatePoint(2, 2, 0))
oWPs(0).Name="Startpunkt"
oWPs(1) = oCompDef.WorkPoints.AddFixed(oTG.CreatePoint(6, 6, 0))
oWPs(1).Name="Zielpunkt"


------------------
Mit freundlichem Gruß

Udo Hübner
www.CAD-Huebner.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

kiri2
Mitglied
Tech.Produktdesigner


Sehen Sie sich das Profil von kiri2 an!   Senden Sie eine Private Message an kiri2  Schreiben Sie einen Gästebucheintrag für kiri2

Beiträge: 34
Registriert: 13.03.2014

erstellt am: 30. Mai. 2015 15:58    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Zitat:
Original erstellt von CAD-Huebner:
Hier mal auf die Schnelle aus obigen Code extrahiert:
Code:
'  a reference to the currently active document.
' This assumes that it is a part document.
Dim oPartDoc As PartDocument
oPartDoc = ThisApplication.ActiveDocument

'  a reference to the component definition.
Dim oCompDef As PartComponentDefinition
oCompDef = ThisDoc.Document.ComponentDefinition

' Create some workpoints that will be used for the 3D sketch.
'  a reference to the transient geometry object.
Dim oTG As TransientGeometry
oTG = ThisApplication.TransientGeometry

Dim oWPs(0 To 2) As WorkPoint
oWPs(0) = oCompDef.WorkPoints.AddFixed(oTG.CreatePoint(2, 2, 0))
oWPs(0).Name="Startpunkt"
oWPs(1) = oCompDef.WorkPoints.AddFixed(oTG.CreatePoint(6, 6, 0))
oWPs(1).Name="Zielpunkt"



Danke! Das ist genau das was ich gesucht habe. Habe es etwas umgeschrieben und es funktioniert super!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz